// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量

export default class M_ActivityElevenCollectingCFG {
  private static data =
      {"1":{"ID":1,"CollectingType":1,"CollectingReward":[1,8,5,54],"CollectingQuantity":[1000000,10,10,2]}

      ,"2":{"ID":2,"CollectingType":2,"CollectingReward":[1,8,5,1007],"CollectingQuantity":[5000000,20,20,2]}

      ,"3":{"ID":3,"CollectingType":3,"CollectingReward":[1,8,17,1151],"CollectingQuantity":[10000000,30,20,2]}

      ,"4":{"ID":4,"CollectingType":4,"CollectingReward":[96,520,27],"CollectingQuantity":[2,1,2]}

      }// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}